ChiliProject - Bug # 911: Sub-sub (and deeper) issues CSS rules are overridden

Status: Closed Priority: Normal

Author: Cory Davis Category: User interface

Created: 2012-02-28 Assignee:

Updated: 2012-03-22 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: The tr.issue.idnt-1 to tr.issue.idnt-9 CSS rules are overridden (at least in Firefox 10.0.1) and thus do not

indent sub-sub (and deeper) issues in issue lists. | solved this locally by adding limportant to the 9 CSS
tr.issue.idnt-n padding-left rules in application.css.

Steps to reproduce:

Create issue A.

Create issue B and set A as the parent of this issue.
Create issue C and set B as the parent of this issue.
View the issue list.

Expected:
A 3 level hierarchy of issues should be displayed.

Actual:
A 2 level hierarchy of issues is displayed with issue C on the same level as issue B.

Associated revisions

2012-03-16 12:30 am - Felix SchArfer
More specific CSS #911

History

2012-03-09 05:25 pm - Felix Schéafer

I'm not sure | like setting @limportant@ everywhere, that seems like a "l don't really know where the problem is but this seems to work"-fix,
unfortunately, | fear my CSS-foo is not good enough for thisd€] Could you have a look at which rules override this so we can see if it couldn't be
changed? Thanks!

2012-03-15 01:28 am - Andrew Smith

- File ident-issues.patch added

- File ident-12px-inc.patch added

| can confirm this is happening. This line source:public/stylesheets/application.css#L1634 has a (much) higher specificity because of the use of the ID
at the start of the line.

Is there a need for it to have the ID present? If it does then the idnt-X CSS lines should also have the ID prepended so that they override it as intended.
There is also very mixed padding values. The initial padding is set to 6px, the first level idnt has a padding of 0.5em (which is also 6px with the default
CSS), second level idnt uses 2em (22px padding) and then the padding increases in 1.5em jumps (adding roughly 16 or 17px each time). These should

really be changed to use the same amount each time. A quick test looks like adding 12px each time is a nice amount.

2012-03-15 11:32 pm - Felix Schéfer
- Status changed from Open to Closed
The CSS is dark maid enough for the moment that | wouldn't want to soften rules, I've added the extra @#content@ rule to the issue indentations,

thanks for digging that up :-)

(And note that your patch targets projects, not issues)

Committed in commit:26¢847a

2012-03-22 12:54 am - Andrew Smith

Ah, so it does (the 12px patch). Issue #926 seems to be the same issue as this but needs fixing for the "tr.project.idnt-1 td.subject" CSS as well.

Files
ident-issues.patch 503 Bytes 2012-03-15 Andrew Smith
ident-12px-inc.patch 1.5kB 2012-03-15 Andrew Smith
